#!/usr/bin/env bash

set -e

TARGET=$1
if [ -z "$TARGET" ]; then
    echo "Usage: $0 <host.hq.c3d2.de>"
    exit 1
fi
HOSTNAME=$(echo $TARGET|cut -d . -f 1)

rsync -az $(dirname $0) root@$TARGET:nix-config

echo "$HOSTNAME> nixos-rebuild switch"
exec ssh root@$TARGET "nixos-rebuild --flake ./nix-config#$HOSTNAME switch"
